> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt
> Use this file to discover all available pages before exploring further.

# Historia zdarzeń

> Paginowana historia dopasowań KRZ/MSiG dla monitorów użytkownika. Można filtrować po `monitor_id`.



## OpenAPI

````yaml /openapi.json get /v1/monitor-events
openapi: 3.1.0
info:
  title: krdata API
  description: >

    krdata udostępnia dane z polskich rejestrów gospodarczych (KRS, CRBR, KRZ,
    MSiG, biała lista VAT)

    w postaci jednego, spójnego API.


    Uwierzytelnianie odbywa się przez klucz API przekazywany w nagłówku
    `x-api-key`.

    Limity zapytań oraz dzienne pule (PDF, WPV, raporty) wynikają z wybranego
    abonamentu —

    szczegóły zwraca endpoint `GET /v1/usage/summary`.
  version: 0.1.0
servers:
  - url: https://api.krdata.pl
    description: Production
security: []
paths:
  /v1/monitor-events:
    get:
      tags:
        - Monitors
      summary: Historia zdarzeń
      description: >-
        Paginowana historia dopasowań KRZ/MSiG dla monitorów użytkownika. Można
        filtrować po `monitor_id`.
      operationId: monitor-events
      parameters:
        - name: monitor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Monitor Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorEventPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MonitorEventPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/MonitorEventOut'
          type: array
          title: Items
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - items
        - limit
        - offset
        - has_more
      title: MonitorEventPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MonitorEventOut:
      properties:
        id:
          type: integer
          title: Id
        monitor_id:
          type: string
          title: Monitor Id
        source:
          type: string
          title: Source
        announcement_id:
          type: string
          title: Announcement Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Id
        krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Krs
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - monitor_id
        - source
        - announcement_id
        - created_at
      title: MonitorEventOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````